import { defineComponent as d, ref as p, computed as u, watch as I, openBlock as c, createBlock as f, Teleport as N, createVNode as k, Transition as C, withCtx as n, unref as T, mergeProps as V, renderSlot as a, createCommentVNode as $ } from "vue";
import { useZIndex as g, ElAlert as z } from "element-plus";
import { useTimeoutFn as B } from "@vueuse/core";
import { isServer as E } from "../../../utils/funcs.mjs";
import { bannerProps as P, bannerEmits as Z } from "./banner.mjs";
const A = d({
  name: "EppBanner",
  inheritAttrs: !1
}), x = /* @__PURE__ */ d({
  ...A,
  props: P,
  emits: Z,
  setup(b, { emit: h }) {
    const t = b, r = h, { nextZIndex: m } = g(), o = p(!1), i = p(t.zIndex || m());
    let s;
    const v = u(() => {
      let e = t.position;
      return e || (t.to === "body" ? e = "fixed" : e = "absolute"), e;
    }), w = u(() => {
      let e = t.animationName;
      if (!e)
        switch (t.placement) {
          case "bottom":
            e = "slideTop";
            break;
          case "top":
            e = "slideDown";
            break;
        }
      return e;
    }), y = () => {
      E || (o.value = !0);
    }, l = () => {
      s == null || s(), o.value = !1, r("update:modelValue", !1), r("close");
    };
    return I(
      () => t.modelValue,
      (e) => {
        e ? (y(), t.timeout && !isNaN(+t.timeout) && ({ stop: s } = B(() => l(), +t.timeout)), i.value = t.zIndex ? i.value++ : m()) : o.value && l();
      },
      {
        immediate: !0
      }
    ), (e, S) => (c(), f(N, { to: e.to }, [
      k(C, { name: w.value }, {
        default: n(() => [
          o.value ? (c(), f(T(z), V({
            key: 0,
            title: e.title,
            description: e.description,
            type: e.type,
            closable: e.closable,
            "close-text": e.closeText,
            "show-icon": e.showIcon,
            effect: e.effect,
            class: ["epp-banner", "at-" + e.placement],
            style: {
              height: e.height,
              position: v.value,
              zIndex: i.value
            }
          }, e.$attrs, { onClose: l }), {
            default: n(() => [
              a(e.$slots, "default")
            ]),
            title: n(() => [
              a(e.$slots, "title")
            ]),
            icon: n(() => [
              a(e.$slots, "icon")
            ]),
            _: 3
          }, 16, ["title", "description", "type", "closable", "close-text", "show-icon", "effect", "class", "style"])) : $("", !0)
        ]),
        _: 3
      }, 8, ["name"])
    ], 8, ["to"]));
  }
});
export {
  x as default
};
