import type { Ref } from 'vue';
import type { DockContainerProps, DockItem } from './dock-container';
export declare const CLOSE_EVENT = "close";
export declare const OPEN_EVENT = "open";
export declare const CLOSED_EVENT = "closed";
export declare const OPENED_EVENT = "opened";
export declare const ITEM_ADDED_EVENT = "item-added";
export declare const ITEM_CLOSED_EVENT = "item-closed";
export declare const ITEM_RESTORED_EVENT = "item-restored";
export declare const UPDATE_MODEL_EVENT = "update:modelValue";
export declare const useDockContainer: (props: DockContainerProps, scrollbarRef: Ref<{
    update: () => void;
}>) => {
    afterEnter: () => void;
    afterLeave: () => void;
    beforeLeave: () => void;
    handleClose: () => void;
    closed: Ref<boolean, boolean>;
    visible: Ref<boolean, boolean>;
    zIndex: Ref<number, number>;
    animName: import("vue").ComputedRef<string>;
    dockItems: Ref<{
        id: string;
        title: string;
        snapshot: boolean | string | Record<string, any>;
    }[], DockItem[] | {
        id: string;
        title: string;
        snapshot: boolean | string | Record<string, any>;
    }[]>;
    closeDockItem: (id: string) => void;
    restoreDockItem: (id: string) => void;
};
