import { createVNode as C, render as b, isReactive as v, watch as D, isVNode as d } from "vue";
import { useZIndex as M } from "element-plus";
import { isServer as A } from "../../../utils/funcs.mjs";
import S from "./modeless-dialog.vue.mjs";
import { usePanelProps as z } from "../../panel/src/panel.mjs";
const n = {}, a = [];
let O = 1;
const { nextZIndex: j } = M();
function w(e = {}) {
  if (A) return;
  if (n[e.id]) return n[e.id];
  const s = e.id || `modeless_dialog_${O++}`, o = {
    zIndex: j(),
    ...e,
    id: s,
    modelValue: !0
  }, p = document.createElement("div"), i = {};
  o.header && (i.header = () => o.header), o.body && (i.default = () => o.body), o.footer && (i.footer = () => o.footer);
  const r = C(S, o, Object.keys(i).length ? i : null);
  r.props.onDestroy = () => {
    n[s] = null, delete n[s];
  }, b(r, p);
  const l = r.component.proxy;
  v(e) && D(e, (t) => {
    var u;
    Object.assign(r.component.props, e), d(t.header) && (r.component.slots.header = () => [t.header]), d(t.body) && (r.component.slots.default = () => [t.body]), d(t.footer) && (r.component.slots.footer = () => [t.footer]);
    const {
      panelStyle: g,
      panelClass: m,
      headerClass: h,
      bodyClass: x,
      footerClass: y
    } = z(t);
    Object.assign(l, { panelClass: m, panelStyle: g, panelHeaderClass: h, panelBodyClass: x, panelFooterClass: y }), (u = r.component.proxy) == null || u.$forceUpdate();
  });
  const f = {
    // instead of calling the onClose function directly, setting this value so that we can have the full lifecycle
    // for out component, so that all closing steps will not be skipped.
    close: () => {
      l.visible = !1, l.$emit("destroy");
    },
    toggleShow: (t) => {
      l.shown = t ?? !l.shown;
    },
    toggleCollapse: (t) => {
      l.collapseDialog(t);
    },
    toggleMaximize: (t) => {
      l.maximizeDialog(t);
    },
    isShown: () => l.shown,
    isClosed: () => !!n[s],
    isCollapsed: () => l.collapse,
    isMaximized: () => l.maximize,
    title: o.title,
    snapshot: o.snapshot
  };
  return n[s] = f, f;
}
function c(e, ...s) {
  for (const o of Object.values(n))
    o[e](...s);
}
function E() {
  c("close");
}
function I() {
  c("toggleShow", !0);
}
function $() {
  c("toggleShow", !1);
}
function L() {
  c("toggleCollapse", !0);
}
function N() {
  c("toggleCollapse", !1);
}
function P(e) {
  return n[e];
}
function Z(e) {
  return !!n[e];
}
function _(e) {
  return !a.includes(e) && a.push(e), () => {
    a.splice(a.indexOf(e), 1);
  };
}
function k(e, s) {
  s && a.forEach((o) => {
    o[e] && o[e](s);
  });
}
const q = {
  get: P,
  has: Z,
  show: w,
  closeAll: E,
  showAll: I,
  hideAll: $,
  collapseAll: L,
  expandAll: N,
  addEventListener: _,
  triggerEvent: k
};
export {
  q as ModelessDialogManager
};
