import type { ComputedRef } from 'vue';
import type { ColumnType } from '../simple-table';
declare function useTooltip(cols: ComputedRef<{
    realCols: ColumnType[];
}>): {
    isShowTooltipMap: import("vue").Ref<Record<string, boolean>, Record<string, boolean>>;
    clearTooltip: () => void;
    tdMouseover: (e: Event, rowIndex: number, colIndex: number) => void;
    tdMouseleave: () => void;
};
export { useTooltip };
