const e = {
  fixedHeader: Boolean,
  fixedFooter: Boolean,
  border: {
    type: String,
    default: ""
  },
  size: String,
  hover: Boolean,
  crossHover: Boolean,
  list: Boolean,
  autoHeight: Boolean,
  tableFixed: Boolean,
  stripe: [Boolean, String],
  padding: String,
  cellPadding: String,
  gap: String,
  gapX: String,
  gapY: String,
  showHeader: {
    type: Boolean,
    default: !0
  },
  data: {
    type: Array
  },
  cols: {
    type: Array,
    default: () => []
  },
  rowKey: {
    type: [String, Function],
    default: "id"
  },
  expandRowKeys: {
    type: Array,
    default: () => []
  },
  defaultExpandAll: {
    type: Boolean,
    default: !1
  },
  rowClassName: {
    type: [String, Function],
    default: ""
  },
  rowStyle: {
    type: [Object, Function],
    default: () => ({})
  },
  cellClassName: {
    type: [String, Function],
    default: ""
  },
  cellStyle: {
    type: [Object, Function],
    default: () => ({})
  },
  headerRowClassName: {
    type: [String, Function],
    default: ""
  },
  headerRowStyle: {
    type: [Object, Function],
    default: () => ({})
  },
  headerCellClassName: {
    type: [String, Function],
    default: ""
  },
  headerCellStyle: {
    type: [Object, Function],
    default: () => ({})
  },
  spanMethod: Function,
  highlightCurrentRow: Boolean,
  resize: {
    type: [Boolean, Object],
    default: !1
  },
  firstColumnIndex: {
    type: Number,
    default: 0
  },
  treeProps: {
    type: Object,
    default: () => ({ children: "children", hasChildren: "hasChildren" })
  },
  load: Function,
  scrollContainer: {
    type: [String, Object]
  }
}, t = Symbol("simpleTableContextKey");
export {
  t as simpleTableContextKey,
  e as simpleTableProps
};
