import P from "./simple-table.vue2.mjs";
import { resolveComponent as y, openBlock as a, createElementBlock as l, normalizeClass as i, normalizeStyle as p, Fragment as $, renderList as f, createCommentVNode as d, withDirectives as V, renderSlot as r, createTextVNode as b, toDisplayString as k, createVNode as N, createBlock as W, withCtx as S, vShow as B, createElementVNode as g, createSlots as D, normalizeProps as H, guardReactiveProps as m } from "vue";
import T from "../../../_virtual/_plugin-vue_export-helper.mjs";
const j = { key: 0 }, E = ["rowspan", "colspan"], X = {
  key: 0,
  class: "more-content"
}, Y = ["colspan"], L = {
  key: 1,
  class: "empty-content"
}, q = ["colspan"], A = {
  key: 2,
  class: "unknown-content"
}, G = ["colspan"];
function J(e, h, K, M, O, Q) {
  var w;
  const F = y("sortable-icon"), R = y("filter-icon"), z = y("body-row");
  return a(), l("table", {
    ref: "tableRef",
    class: i([
      e.namespace,
      e.size,
      e.border,
      {
        hover: e.hover,
        list: e.list,
        "auto-height": e.autoHeight,
        "table-fixed": e.tableFixed
      },
      e.stripe == "even" ? "striped-even" : "",
      e.stripe == "odd" ? "striped-odd" : "",
      typeof e.stripe == "boolean" && e.stripe ? "striped-odd" : "",
      e.scrollClass
    ]),
    style: p([
      e.padding ? `--table-padding: ${e.padding}` : "",
      e.cellPadding ? `--table-td-padding: ${e.cellPadding}` : "",
      e.gap ? `--table-gap: ${e.gap}` : "",
      e.gapX ? `--table-gap-x: ${e.gapX}` : "",
      e.gapY ? `--table-gap-y: ${e.gapY}` : "",
      e.fixedColumnsStyle
    ])
  }, [
    e.crossHover ? (a(), l("colgroup", j, [
      (a(!0), l($, null, f(e.realColsInfo.realCols, (s, o) => (a(), l("col", {
        key: o,
        class: i({ hover: o === e.hoverColIndex })
      }, null, 2))), 128))
    ])) : d("", !0),
    e.showHeader ? (a(), l("thead", {
      key: 1,
      class: i({ "fixed-top": e.fixedHeader })
    }, [
      (a(!0), l($, null, f(e.realColsInfo.headerRows, (s, o) => (a(), l("tr", {
        key: o,
        class: i(e.getHeaderRowClass({ row: s, rowIndex: o })),
        style: p(e.getHeaderRowStyle({ row: s, rowIndex: o }))
      }, [
        (a(!0), l($, null, f(s, (t, n) => {
          var v;
          return V((a(), l("th", {
            key: `${o}-${t.id}-thead`,
            rowspan: t.rowSpan,
            colspan: t.colSpan,
            style: p([
              {
                width: t.width ? t.width : !1,
                "min-width": t.minWidth ? t.minWidth : !1,
                "max-width": t.maxWidth ? t.maxWidth : !1,
                ...e.getHeaderCellStyle({ row: s, column: t, rowIndex: o, columnIndex: n })
              },
              t.fixed && e.getColFixed(t, n).distance ? "--table-fixed-distance:" + e.getColFixed(t, n).distance : ""
            ]),
            class: i([
              {
                ["fixed-" + e.getColFixed(t).position]: !!t.fixed,
                "show-shadow": e.getColFixed(t).hasShadow
              },
              e.getHeaderCellClass({ row: s, column: t, rowIndex: o, columnIndex: n })
            ])
          }, [
            t.headerSlotName ? (a(), l("div", {
              key: 0,
              class: "cell",
              style: p(t.align ? `justify-content:${t.align}` : "")
            }, [
              r(e.$slots, t.headerSlotName, {
                col: { ...t, columnIndex: n }
              })
            ], 4)) : (a(), l("div", {
              key: 1,
              class: "cell",
              style: p(t.align ? `justify-content:${t.align}` : "")
            }, [
              b(k(t.title) + " ", 1),
              N(F, {
                sortable: t.sortable,
                onSortChange: (C) => e.$emit("sort-change", t.prop, C)
              }, null, 8, ["sortable", "onSortChange"]),
              (v = t.filter) != null && v.slotName ? (a(), W(R, {
                key: 0,
                placement: t.filter.placement,
                effect: t.filter.effect,
                "popper-class": t.filter.popperClass,
                trigger: t.filter.trigger
              }, {
                default: S(({ close: C }) => [
                  r(e.$slots, t.filter.slotName, { close: C })
                ]),
                _: 2
              }, 1032, ["placement", "effect", "popper-class", "trigger"])) : d("", !0)
            ], 4))
          ], 14, E)), [
            [B, e.isShowCol(t)]
          ]);
        }), 128))
      ], 6))), 128))
    ], 2)) : d("", !0),
    g("tbody", null, [
      N(z, {
        data: e.realData,
        onRowClick: h[0] || (h[0] = (...s) => e.rowClicked(...s)),
        onCellClick: h[1] || (h[1] = (...s) => e.$emit("cell-click", ...s))
      }, D({ _: 2 }, [
        f(e.slotNames, (s) => ({
          name: s,
          fn: S((o) => [
            r(e.$slots, s, H(m(o)))
          ])
        })),
        f(e.expandSlotNames, (s) => ({
          name: s,
          fn: S((o) => [
            r(e.$slots, s, H(m(o)))
          ])
        }))
      ]), 1032, ["data"]),
      e.$slots.more ? (a(), l("tr", X, [
        g("td", {
          colspan: e.realColsInfo.realCols.length
        }, [
          r(e.$slots, "more", {}, () => [
            b(k(e.t("el.select.loading")), 1)
          ])
        ], 8, Y)
      ])) : d("", !0),
      ((w = e.data) == null ? void 0 : w.length) === 0 ? (a(), l("tr", L, [
        g("td", {
          colspan: e.realColsInfo.realCols.length
        }, [
          r(e.$slots, "empty", {}, () => [
            b(k(e.t("el.table.emptyText")), 1)
          ])
        ], 8, q)
      ])) : d("", !0),
      e.data === null || e.data === void 0 ? (a(), l("tr", A, [
        g("td", {
          colspan: e.realColsInfo.realCols.length
        }, [
          r(e.$slots, "unknown")
        ], 8, G)
      ])) : d("", !0)
    ]),
    g("tfoot", {
      class: i({ "fixed-bottom": e.fixedFooter })
    }, [
      r(e.$slots, "foot")
    ], 2)
  ], 6);
}
const I = /* @__PURE__ */ T(P, [["render", J]]);
export {
  I as default
};
