import { defineComponent as h, ref as i, onMounted as x, nextTick as b, onBeforeUnmount as C, openBlock as W, createBlock as _, unref as T, withCtx as c, createElementVNode as u, mergeProps as R, renderSlot as k } from "vue";
import { ElPopover as B } from "element-plus";
import { getStyle as p } from "../../../utils/dom.mjs";
import { isServer as E } from "../../../utils/funcs.mjs";
import { textOverflowProps as L } from "./text-overflow.mjs";
const M = ["innerHTML"], S = h({
  name: "EppTextOverflow",
  inheritAttrs: !1
}), $ = /* @__PURE__ */ h({
  ...S,
  props: L,
  setup(m) {
    const e = m, d = i(), n = i(), l = i(!1);
    let r;
    const s = () => {
      f();
      const t = n.value.innerText || n.value.textContent;
      if (d.value = t, e.method === "length" && e.length !== -1)
        t.length > e.length ? (n.value.childNodes[1].nodeValue = t.substring(0, e.length) + "...", l.value = !1) : l.value = !0;
      else if (e.method === "width" || e.method === "autoWidth") {
        const o = n.value, a = document.createRange();
        a.setStart(o, 0), a.setEnd(o, o.childNodes.length);
        const g = a.getBoundingClientRect().width - 1, w = (parseInt(p(o, "paddingLeft"), 10) || 0) + (parseInt(p(o, "paddingRight"), 10) || 0);
        g + w > o.offsetWidth || o.scrollWidth > o.offsetWidth ? l.value = !1 : l.value = !0;
      }
      v();
    }, v = () => {
      r.observe(n.value, {
        characterData: !0,
        childList: !0,
        subtree: !0
      });
    }, f = () => {
      r.disconnect();
    };
    return E || (r = new MutationObserver(s)), x(() => {
      e.method === "autoWidth" && e.length > 0 ? (n.value.style.maxWidth = `${e.length}em`, b(() => {
        s();
      })) : s();
    }), C(() => {
      f(), r = null;
    }), (t, o) => (W(), _(T(B), {
      tooltip: "",
      "popper-class": "text-overflow-poppper",
      placement: t.placement,
      effect: t.effect,
      disabled: l.value,
      width: t.width
    }, {
      reference: c(() => [
        u("span", R({
          ref_key: "textContentRef",
          ref: n,
          class: "epp-text-overflow"
        }, t.$attrs), [
          k(t.$slots, "default")
        ], 16)
      ]),
      default: c(() => [
        u("div", {
          class: "text-overflow-content",
          innerHTML: d.value
        }, null, 8, M)
      ]),
      _: 3
    }, 8, ["placement", "effect", "disabled", "width"]));
  }
});
export {
  $ as default
};
