import { defineComponent as C, useSlots as E, inject as $, ref as f, computed as n, watch as q, h as s, onMounted as B, openBlock as D, createElementBlock as L, createVNode as h, withCtx as m, renderSlot as v, normalizeClass as R } from "vue";
import { useLocale as j, formItemContextKey as w } from "element-plus";
import x from "./target-panel.vue.mjs";
import z from "./tree-panel.vue.mjs";
import { useTreeProp as A } from "./useTreeProp.mjs";
import { treeTransferProps as F, treeTransferEmits as Q } from "./tree-transfer.mjs";
const G = {
  class: /* @__PURE__ */ R(["epp-tree-transfer", "el-transfer"])
}, H = C({
  name: "EppTreeTransfer",
  inheritAttrs: !1
}), Z = /* @__PURE__ */ C({
  ...H,
  props: F,
  emits: Q,
  setup(g, { expose: k, emit: P }) {
    const t = g, T = P, { t: c } = j(), a = E(), d = $(w, {}), o = f(), y = f(), i = f([]), _ = (e) => {
      e === "left" ? o.value.query = "" : e === "right" && (y.value.query = "");
    }, b = n(() => t.titles[0] || c("el.transfer.titles.0")), M = n(() => t.titles[1] || c("el.transfer.titles.1")), p = n(() => t.filterPlaceholder || c("el.transfer.filterPlaceholder")), N = n(() => t.treeProps.filterNodeMethod || (() => !0));
    q(
      () => t.modelValue,
      () => {
        var e;
        (e = d.validate) == null || e.call(d, "change");
      }
    );
    const { label: u } = A(t.treeProps), S = n(() => (e) => {
      if (t.renderContent) return t.renderContent(s, e, "left");
      const r = a.treeNode || a["tree-node"];
      return r ? r({ data: e }) : s("span", { class: "tree-node-label" }, e[u.value]);
    }), K = n(() => (e) => {
      if (t.renderContent) return t.renderContent(s, e, "right");
      const r = a.targetNode || a["target-node"];
      return r ? r({ data: e }) : s("span", e[u.value]);
    }), O = () => {
      const e = !t.treeProps.checkStrictly, r = o.value.callTreeMethod("getCheckedKeys", e), l = o.value.callTreeMethod("getCheckedNodes", e);
      T("update:modelValue", r), i.value = [...l];
    }, V = (e) => {
      const r = !t.treeProps.checkStrictly, l = o.value.callTreeMethod("getCheckedKeys", r);
      l.indexOf(e) !== -1 && l.splice(l.indexOf(e), 1), o.value.callTreeMethod("setCheckedKeys", l, r);
    };
    return B(() => {
      const e = !t.treeProps.checkStrictly;
      o.value.callTreeMethod("setCheckedKeys", t.modelValue, e);
      const r = [];
      t.modelValue.forEach((l) => {
        r.push(o.value.callTreeMethod("getNode", l));
      }), i.value = [...r.map((l) => l.data)];
    }), k({
      clearQuery: _
    }), (e, r) => (D(), L("div", G, [
      h(z, {
        ref_key: "treePanel",
        ref: o,
        title: b.value,
        placeholder: p.value,
        filterable: e.filterable,
        "option-render": S.value,
        "tree-props": e.treeProps,
        onCheckedChange: O
      }, {
        default: m(() => [
          v(e.$slots, "left-footer")
        ]),
        _: 3
      }, 8, ["title", "placeholder", "filterable", "option-render", "tree-props"]),
      h(x, {
        ref: "targetPanel",
        data: i.value,
        "option-render": K.value,
        placeholder: p.value,
        filterable: e.filterable,
        "filter-method": N.value,
        title: M.value,
        props: e.treeProps.props,
        onCheckedChange: V
      }, {
        default: m(() => [
          v(e.$slots, "right-footer")
        ]),
        _: 3
      }, 8, ["data", "option-render", "placeholder", "filterable", "filter-method", "title", "props"])
    ]));
  }
});
export {
  Z as default
};
