import type { Directive } from 'vue';
export interface DialogElement extends HTMLDivElement {
    __dragger__: {
        offsetX: number;
        offsetY: number;
        cursor: string;
        zIndex: string;
        boundings: [number, number, number, number] | null;
        rect: DOMRect;
        moveHandler: (e: MouseEvent) => void;
        upHandler: (e: MouseEvent) => void;
        downHandler: (e: MouseEvent) => void;
    };
}
declare const ModelessDialogDragger: Directive;
export { ModelessDialogDragger };
