import type { PropType, ExtractPropTypes } from 'vue';
import type OverflowList from './overflow-list.vue';
export declare const overflowListProps: {
    showCount: {
        type: NumberConstructor;
        default: number;
    };
    showType: {
        type: PropType<"expand" | "tooltip">;
        default: string;
    };
    dropdownProps: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
};
export type OverflowListProps = ExtractPropTypes<typeof overflowListProps>;
export declare const overflowListEmits: {};
export type OverflowListEmits = typeof overflowListEmits;
export type OverflowListInstance = InstanceType<typeof OverflowList>;
