import type { ExtractPropTypes } from 'vue';
import type Spinner from './spinner.vue';
export declare const spinnerProps: {
    status: {
        type: StringConstructor;
        default: string;
    };
    animation: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: StringConstructor;
        default: string;
    };
    color: {
        type: StringConstructor;
    };
    size: StringConstructor;
};
export type SpinnerProps = ExtractPropTypes<typeof spinnerProps>;
export type SpinnerInstance = InstanceType<typeof Spinner>;
