import { defineComponent as v, ref as d, computed as f, onMounted as N, openBlock as s, createElementBlock as p, normalizeStyle as m, Fragment as C, renderList as E, createBlock as i, unref as o, mergeProps as L, withCtx as n, createElementVNode as B, normalizeClass as F, toDisplayString as S, renderSlot as $ } from "vue";
import { ElPopover as b, ElAvatar as c } from "element-plus";
import { avatarListProps as g, avatarListEmits as A } from "./avatar-list.mjs";
const R = v({
  name: "EppAvatarList"
}), U = /* @__PURE__ */ v({
  ...R,
  props: g,
  emits: A,
  setup(k) {
    const t = k, r = d(t.indent), u = d(), h = f(() => {
      if (isNaN(+t.max) || t.data.length < t.max)
        return t.data;
      {
        const e = {
          [t.urlField]: "LAST_NUMBER",
          maxNumber: t.data.length - t.max
        };
        return [...t.data.slice(0, t.max), e];
      }
    }), z = f(() => {
      let e = "";
      if (!isNaN(+t.max) && t.data.length > t.max) {
        const a = t.data.length - t.max;
        a < 10 ? e = "less-10" : a < 100 ? e = "less-100" : a < 1e3 ? e = "less-1k" : a < 1e4 ? e = "less-10k" : a < 1e5 && (e = "less-100k");
      }
      return e;
    });
    return N(() => {
      if (!r.value) {
        const e = u.value.querySelector(".el-avatar");
        try {
          r.value = -e.offsetWidth / 2 + "px";
        } catch {
          r.value = "0px";
        }
      }
    }), (e, a) => (s(), p("div", {
      ref_key: "spaceRef",
      ref: u,
      class: "epp-avatar-list",
      style: m(`--indent: ${r.value}`)
    }, [
      (s(!0), p(C, null, E(h.value, (l) => (s(), i(o(b), L({
        key: l[e.urlField],
        trigger: "hover",
        disabled: !l[e.urlField] || l[e.urlField] === "LAST_NUMBER" || !e.$slots.tip,
        ref_for: !0
      }, e.popoverProps), {
        reference: n(() => [
          l[e.urlField] !== "LAST_NUMBER" ? (s(), i(o(c), {
            key: 0,
            src: l[e.urlField],
            size: e.size,
            fit: e.fit,
            shape: e.shape,
            onClick: (y) => e.$emit("click", l)
          }, null, 8, ["src", "size", "fit", "shape", "onClick"])) : (s(), i(o(c), {
            key: 1,
            size: e.size,
            fit: e.fit,
            style: m("background-color:" + e.maxBgColor),
            bordered: "",
            round: "",
            onClick: (y) => e.$emit("click", l)
          }, {
            default: n(() => [
              B("span", {
                class: F(z.value)
              }, S(l.maxNumber), 3)
            ]),
            _: 2
          }, 1032, ["size", "fit", "style", "onClick"]))
        ]),
        default: n(() => [
          $(e.$slots, "tip", { item: l })
        ]),
        _: 2
      }, 1040, ["disabled"]))), 128))
    ], 4));
  }
});
export {
  U as default
};
