import { defineComponent as v, ref as S, openBlock as o, createBlock as l, Teleport as $, createVNode as d, Transition as N, unref as e, withCtx as i, withDirectives as T, createElementVNode as a, mergeProps as V, withModifiers as p, renderSlot as k, createElementBlock as r, Fragment as u, renderList as z, toDisplayString as h, createCommentVNode as c, vShow as P } from "vue";
import { useLocale as R, ElScrollbar as j, ElSpace as F, ElImage as H, ElIcon as M } from "element-plus";
import { CloseBold as W } from "@element-plus/icons-vue";
import { dockContainerProps as q, dockContainerEmits as G } from "./dock-container.mjs";
import { useDockContainer as J } from "./use-dock-container.mjs";
const K = { class: "panel-body" }, O = { class: "dock-items" }, Q = { class: "item-content" }, U = {
  key: 0,
  class: "dock-placeholder media"
}, X = ["title"], Y = ["src"], Z = ["src"], x = { class: "item-title" }, ee = ["onClick"], te = {
  key: 1,
  class: "empty-text"
}, oe = v({
  name: "EppDockContainer",
  inheritAttrs: !1
}), ie = /* @__PURE__ */ v({
  ...oe,
  props: q,
  emits: G,
  setup(_) {
    const y = _, f = S(), { t: C } = R(), {
      afterEnter: g,
      afterLeave: b,
      beforeLeave: E,
      // handleClose,
      // closed,
      visible: w,
      zIndex: L,
      animName: I,
      dockItems: n,
      closeDockItem: B,
      restoreDockItem: D
    } = J(y, f);
    return (s, m) => (o(), l($, { to: "body" }, [
      d(N, {
        name: e(I),
        onAfterEnter: e(g),
        onAfterLeave: e(b),
        onBeforeLeave: e(E)
      }, {
        default: i(() => [
          T(a("div", V(s.$attrs, {
            class: ["epp-dock-container", "epp-panel", "at-" + s.placement, s.customClass],
            style: [
              {
                width: s.width,
                height: s.height,
                zIndex: e(L),
                "--dock-item-width": s.itemWidth,
                "--dock-item-height": s.itemHeight
              }
            ],
            "aria-modal": "true",
            role: "drawer",
            "aria-label": "drawer",
            onClick: m[0] || (m[0] = p(() => {
            }, ["stop"]))
          }), [
            a("div", K, [
              k(s.$slots, "default", { data: e(n) }, () => [
                e(n).length ? (o(), l(e(j), {
                  key: 0,
                  ref_key: "scrollbarRef",
                  ref: f,
                  class: "scrollbar"
                }, {
                  default: i(() => [
                    a("div", O, [
                      (o(!0), r(u, null, z(e(n), (t) => (o(), l(e(F), {
                        key: t.id,
                        class: "dock-item",
                        direction: "vertical",
                        onClick: p((A) => e(D)(t.id), ["stop"])
                      }, {
                        default: i(() => [
                          a("div", Q, [
                            k(s.$slots, "dock-item", { item: t }, () => [
                              t.snapshot ? typeof t.snapshot == "string" ? (o(), r("p", {
                                key: 1,
                                class: "media text",
                                title: t.snapshot
                              }, h(t.snapshot), 9, X)) : typeof t.snapshot == "object" ? (o(), r(u, { key: 2 }, [
                                t.snapshot.type === "image" ? (o(), l(e(H), {
                                  key: 0,
                                  src: t.snapshot.url,
                                  class: "media full",
                                  fit: "cover"
                                }, null, 8, ["src"])) : t.snapshot.type === "video" ? (o(), r("video", {
                                  key: 1,
                                  src: t.snapshot.url,
                                  class: "media"
                                }, null, 8, Y)) : t.snapshot.type === "audio" ? (o(), r("audio", {
                                  key: 2,
                                  src: t.snapshot.url,
                                  class: "media",
                                  controls: ""
                                }, null, 8, Z)) : c("", !0)
                              ], 64)) : c("", !0) : (o(), r("div", U))
                            ])
                          ]),
                          a("div", x, h(t.title), 1),
                          a("div", {
                            class: "item-close",
                            onClick: p((A) => e(B)(t.id), ["stop"])
                          }, [
                            d(e(M), null, {
                              default: i(() => [
                                d(e(W))
                              ]),
                              _: 1
                            })
                          ], 8, ee)
                        ]),
                        _: 2
                      }, 1032, ["onClick"]))), 128))
                    ])
                  ]),
                  _: 3
                }, 512)) : c("", !0),
                e(n).length === 0 ? (o(), r("p", te, h(e(C)("el.table.emptyText")), 1)) : c("", !0)
              ])
            ])
          ], 16), [
            [P, e(w)]
          ])
        ]),
        _: 3
      }, 8, ["name", "onAfterEnter", "onAfterLeave", "onBeforeLeave"])
    ]));
  }
});
export {
  ie as default
};
