import { ref as u, computed as O, getCurrentInstance as R, watch as g, nextTick as w, onMounted as z, onBeforeUnmount as A } from "vue";
import { useTimeoutFn as h } from "@vueuse/core";
import { useZIndex as P } from "element-plus";
import { isServer as B } from "../../../utils/funcs.mjs";
import { useRestoreActive as U } from "../../../utils/use-restore-active.mjs";
import { ModelessDialogManager as d } from "../../modeless-dialog/src/manager.mjs";
const Z = "close", q = "open", F = "closed", $ = "opened", j = "item-added", G = "item-closed", H = "item-restored", J = "update:modelValue", ee = (t, N) => {
  const { nextZIndex: E } = P(), l = u(!1), f = u(!1), m = u(t.zIndex || E()), n = u([]), _ = O(() => {
    let e = t.animationName;
    if (!e)
      switch (t.placement) {
        case "left":
          e = "slideRightSide";
          break;
        case "right":
          e = "slideLeftSide";
          break;
        case "bottom":
          e = "slideTopSide";
          break;
        case "top":
          e = "slideBottomSide";
          break;
      }
    return e;
  });
  let a, c;
  const { emit: o } = R();
  function S() {
    o($);
  }
  function T() {
    o(F), o(J, !1);
  }
  function V() {
    o(Z);
  }
  function v() {
    c == null || c(), a == null || a(), t.openDelay && t.openDelay > 0 ? { stop: a } = h(() => I(), t.openDelay) : I();
  }
  function D() {
    a == null || a(), c == null || c(), t.closeDelay && t.closeDelay > 0 ? { stop: c } = h(() => x(), t.closeDelay) : x();
  }
  function k(e) {
    e || (f.value = !0, l.value = !1);
  }
  function b() {
    t.beforeClose ? t.beforeClose(k) : D();
  }
  function I() {
    B || (l.value = !0);
  }
  function x() {
    l.value = !1;
  }
  U(l), g(
    () => t.modelValue,
    (e) => {
      e ? (f.value = !1, v(), o(q), m.value = t.zIndex ? m.value++ : E()) : l.value && D();
    }
  ), g(
    () => n.value.length,
    () => {
      w(() => {
        var e;
        (e = N.value) == null || e.update();
      });
    }
  );
  function L(e) {
    const i = d.get(e), s = {
      id: e,
      title: i.title || document.querySelector(`#${e} .panel-header`).innerText,
      snapshot: i.snapshot
    };
    n.value.push(s), o(j, s, n.value);
  }
  function y(e) {
    const i = n.value.findIndex((r) => r.id === e), s = n.value.splice(i, 1);
    d.get(e).close(), o(G, s[0], n.value);
  }
  function M(e) {
    const i = n.value.findIndex((r) => r.id === e), s = n.value.splice(i, 1);
    d.get(e).toggleShow(), o(H, s[0], n.value);
  }
  const C = d.addEventListener({
    collapse: L
  });
  return z(() => {
    t.modelValue && (l.value = !0, v());
  }), A(() => {
    C();
  }), {
    afterEnter: S,
    afterLeave: T,
    beforeLeave: V,
    handleClose: b,
    closed: f,
    visible: l,
    zIndex: m,
    animName: _,
    dockItems: n,
    closeDockItem: y,
    restoreDockItem: M
  };
};
export {
  F as CLOSED_EVENT,
  Z as CLOSE_EVENT,
  j as ITEM_ADDED_EVENT,
  G as ITEM_CLOSED_EVENT,
  H as ITEM_RESTORED_EVENT,
  $ as OPENED_EVENT,
  q as OPEN_EVENT,
  J as UPDATE_MODEL_EVENT,
  ee as useDockContainer
};
