import { panelProps as o } from "../../panel/src/panel.mjs";
const a = {
  beforeClose: {
    type: Function
  },
  showClose: {
    type: Boolean,
    default: !0
  },
  showMaximize: {
    type: Boolean,
    default: !0
  },
  showCollapse: {
    type: Boolean,
    default: !0
  },
  customClass: {
    type: String,
    default: ""
  },
  animationName: {
    type: String,
    default: "fade"
  },
  openDelay: {
    type: Number,
    default: 0
  },
  closeDelay: {
    type: Number,
    default: 0
  },
  top: {
    type: String,
    default: ""
  },
  title: {
    type: String,
    default: ""
  },
  modelValue: {
    type: Boolean,
    required: !0
  },
  height: {
    type: String
  },
  width: {
    type: String
  },
  zIndex: {
    type: [Number, String]
  },
  boundings: {
    type: Array,
    validator: (e) => e ? Array.isArray(e) && e.length === 4 && e.every((t) => typeof t == "number") : !0
  },
  resize: Boolean,
  drag: {
    type: Boolean,
    default: !0
  },
  id: String,
  useDock: Boolean,
  snapshot: {
    type: [Boolean, String, Object],
    default: !1
  },
  ...o
}, l = {
  open: () => !0,
  opened: () => !0,
  close: () => !0,
  closed: () => !0,
  destroy: () => !0,
  resize: () => !0,
  "update:modelValue": (e) => typeof e == "boolean",
  collapse: (e) => typeof e == "boolean",
  maximize: (e) => typeof e == "boolean"
};
export {
  l as modelessDialogEmits,
  a as modelessDialogProps
};
