import { defineComponent as c, ref as h } from "vue";
import { ElIcon as D, TrapFocus as u } from "element-plus";
import { CloseBold as C, SemiSelect as y, FullScreen as w, ArrowUpBold as S, ArrowDownBold as z } from "@element-plus/icons-vue";
import { modelessDialogProps as x, modelessDialogEmits as B } from "./modeless-dialog.mjs";
import { ModelessDialogDragger as I } from "./dragger.mjs";
import { ModelessDialogResizer as A } from "./resizer.mjs";
import { useDialog as F } from "./use-modeless-dialog.mjs";
import { usePanelProps as M } from "../../panel/src/panel.mjs";
const j = c({
  name: "ModelessDialog",
  components: {
    ElIcon: D,
    CloseBold: C,
    SemiSelect: y,
    FullScreen: w,
    ArrowUpBold: S,
    ArrowDownBold: z
  },
  directives: {
    TrapFocus: u,
    dragger: I,
    resizer: A
  },
  inheritAttrs: !1,
  props: x,
  emits: B,
  setup(e) {
    const t = h(), m = F(e, t), {
      panelStyle: l,
      panelClass: d,
      headerClass: g,
      bodyClass: f,
      footerClass: p
    } = M(e);
    return {
      dialogRef: t,
      panelStyle: l,
      getDialogStyle: () => {
        var n;
        let s = e.width, r = e.height, i = e.top, a = e.zIndex;
        const o = (n = t.value) == null ? void 0 : n.style;
        return o && (s = o.width, r = o.height, i = o.top, a = o.zIndex), [
          {
            width: s,
            height: r,
            top: i,
            zIndex: a
          },
          l
        ];
      },
      panelClass: d,
      panelHeaderClass: g,
      panelBodyClass: f,
      panelFooterClass: p,
      ...m
    };
  }
});
export {
  j as default
};
