import { ref as i, computed as O, getCurrentInstance as S, watch as k, onMounted as T } from "vue";
import R from "html2canvas";
import { useZIndex as U } from "element-plus";
import { useTimeoutFn as z } from "@vueuse/core";
import { isServer as Z } from "../../../utils/funcs.mjs";
import { useRestoreActive as F } from "../../../utils/use-restore-active.mjs";
import { ModelessDialogManager as N } from "./manager.mjs";
const X = "close", j = "open", q = "closed", B = "opened", V = "collapse", G = "maximize", H = "update:modelValue", ee = (e, y) => {
  const { nextZIndex: m } = U(), a = i(!1), f = i(!0), s = i(!1), c = i(!1), o = i(!1), v = i(e.zIndex || m()), C = O(() => {
    const l = {};
    return c.value && (l.fullscreen = c.value), o.value && (l.collapsed = o.value), l;
  });
  let t, u;
  const { emit: n } = S();
  function L() {
    n(B);
  }
  function _() {
    n(q), n(H, !1);
  }
  function M() {
    n(X);
  }
  function r() {
    u == null || u(), t == null || t(), e.openDelay && e.openDelay > 0 ? { stop: t } = z(() => D(), e.openDelay) : D();
  }
  function E() {
    t == null || t(), u == null || u(), e.closeDelay && e.closeDelay > 0 ? { stop: u } = z(() => g(), e.closeDelay) : g();
  }
  function I(l) {
    l || (s.value = !0, a.value = !1);
  }
  function b() {
    e.beforeClose ? e.beforeClose(I) : E();
  }
  function D() {
    Z || (a.value = !0);
  }
  function g() {
    a.value = !1, n("destroy");
  }
  function P() {
    e.showCollapse && h();
  }
  function h(l) {
    let d;
    e.useDock && e.snapshot === !0 ? d = R(y.value).then((A) => {
      N.get(e.id).snapshot = { type: "image", url: A.toDataURL("image/png") };
    }) : d = Promise.resolve(), d.finally(() => {
      e.useDock ? f.value = !f.value : o.value = l ?? !o.value, n(V, e.useDock ? f.value : o.value), N.triggerEvent(V, e.id);
    });
  }
  function w() {
    e.showMaximize && x();
  }
  function x() {
    c.value = !c.value, n(G, o.value);
  }
  return F(a), k(
    () => e.modelValue,
    (l) => {
      l ? (s.value = !1, r(), n(j), v.value = e.zIndex ? Number(v.value) + 1 : m()) : a.value && E();
    }
  ), T(() => {
    e.modelValue && (a.value = !0, r());
  }), {
    afterEnter: L,
    afterLeave: _,
    beforeLeave: M,
    handleClose: b,
    handleCollapse: P,
    collapseDialog: h,
    handleMaximize: w,
    maximizeDialog: x,
    closed: s,
    shown: f,
    visible: a,
    collapse: o,
    maximize: c,
    zIndex: v,
    innerClass: C
  };
};
export {
  q as CLOSED_EVENT,
  X as CLOSE_EVENT,
  V as COLLAPSE_EVENT,
  G as MAX_EVENT,
  B as OPENED_EVENT,
  j as OPEN_EVENT,
  H as UPDATE_MODEL_EVENT,
  ee as useDialog
};
