import { hyphenate as s } from "@vue/shared";
const c = {
  borderless: Boolean,
  outlineless: Boolean,
  collapsed: Boolean,
  fullscreen: {
    type: [Boolean, Object],
    default: !1
  },
  radius: String,
  headerHeight: String,
  padding: String,
  bodyPadding: String,
  footerPadding: String,
  headerClass: String,
  headerStyle: String,
  bodyClass: String,
  bodyStyle: String,
  footerClass: String,
  footerStyle: String,
  fullBody: Boolean
}, d = ["radius", "padding", "headerHeight", "bodyPadding", "footerPadding"], f = ["borderless", "outlineless", "collapsed", "fullscreen", "fullBody"];
function g(l) {
  const n = {};
  f.forEach((e) => {
    n[s(e)] = typeof l[e] == "boolean" ? l[e] : !!l[e];
  });
  const t = [];
  d.forEach((e) => {
    const a = o(e);
    t.push(a.val ? `--panel-${a.otherName}: ${a.val}` : "");
  }), l.fullscreen && typeof l.fullscreen == "object" && ["top", "bottom", "left", "right"].forEach((e) => {
    t.push(
      l.fullscreen[e] ? `--panel-fullscreen-${e}: ${l.fullscreen[e]}` : ""
    );
  });
  function o(e) {
    const a = e.replace(/([A-Z])/g, (i, r) => "-" + r.toLowerCase());
    return { val: l[e] || l[a], otherName: a };
  }
  return {
    panelClass: n,
    headerClass: o("headerClass").val || "",
    headerStyle: o("headerStyle").val || "",
    bodyClass: o("bodyClass").val || "",
    bodyStyle: o("bodyStyle").val || "",
    footerClass: o("footerClass").val || "",
    footerStyle: o("footerStyle").val || "",
    panelStyle: t
  };
}
export {
  f as panelClassProps,
  c as panelProps,
  d as panelStyleProps,
  g as usePanelProps
};
