import type { PropType, VNode } from 'vue';
import type { ColumnType, CellClassFunction, CellStyleFunction } from '../simple-table';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    row: {
        type: ObjectConstructor;
        required: true;
    };
    column: {
        type: PropType<ColumnType>;
        required: true;
    };
    rowIndex: {
        type: NumberConstructor;
        required: true;
    };
    columnIndex: {
        type: NumberConstructor;
        required: true;
    };
    width: StringConstructor;
    minWidth: StringConstructor;
    maxWidth: StringConstructor;
    expanded: BooleanConstructor;
    showTooltip: BooleanConstructor;
    hasChildren: BooleanConstructor;
    hasTreeData: BooleanConstructor;
    isLoading: BooleanConstructor;
    treeExpanded: BooleanConstructor;
    firstColumnIndex: NumberConstructor;
    cellClassName: {
        type: PropType<string | CellClassFunction>;
        default: string;
    };
    cellStyle: {
        type: PropType<Record<string, any> | CellStyleFunction>;
        default: () => {};
    };
    span: PropType<{
        rowspan: number;
        colspan: number;
    }>;
}>, () => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("mouseleave" | "mouseover" | "expand" | "tree-expand" | "cell-click")[], "mouseleave" | "mouseover" | "expand" | "tree-expand" | "cell-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    row: {
        type: ObjectConstructor;
        required: true;
    };
    column: {
        type: PropType<ColumnType>;
        required: true;
    };
    rowIndex: {
        type: NumberConstructor;
        required: true;
    };
    columnIndex: {
        type: NumberConstructor;
        required: true;
    };
    width: StringConstructor;
    minWidth: StringConstructor;
    maxWidth: StringConstructor;
    expanded: BooleanConstructor;
    showTooltip: BooleanConstructor;
    hasChildren: BooleanConstructor;
    hasTreeData: BooleanConstructor;
    isLoading: BooleanConstructor;
    treeExpanded: BooleanConstructor;
    firstColumnIndex: NumberConstructor;
    cellClassName: {
        type: PropType<string | CellClassFunction>;
        default: string;
    };
    cellStyle: {
        type: PropType<Record<string, any> | CellStyleFunction>;
        default: () => {};
    };
    span: PropType<{
        rowspan: number;
        colspan: number;
    }>;
}>> & Readonly<{
    onMouseleave?: ((...args: any[]) => any) | undefined;
    onMouseover?: ((...args: any[]) => any) | undefined;
    onExpand?: ((...args: any[]) => any) | undefined;
    "onTree-expand"?: ((...args: any[]) => any) | undefined;
    "onCell-click"?: ((...args: any[]) => any) | undefined;
}>, {
    cellClassName: string | CellClassFunction;
    cellStyle: Record<string, any> | CellStyleFunction;
    hasChildren: boolean;
    expanded: boolean;
    showTooltip: boolean;
    hasTreeData: boolean;
    isLoading: boolean;
    treeExpanded: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
