declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    data: {
        type: import("vue").PropType<import("../simple-table").RowDataType[]>;
    };
    level: {
        type: NumberConstructor;
        default: number;
    };
}>, {
    rowClassName: import("vue").Ref<string | import("../simple-table").RowClassFunction, string | import("../simple-table").RowClassFunction>;
    rowStyle: import("vue").Ref<Record<string, any>, Record<string, any>>;
    cellClassName: import("vue").Ref<string | import("../simple-table").CellClassFunction, string | import("../simple-table").CellClassFunction>;
    cellStyle: import("vue").Ref<Record<string, any>, Record<string, any>>;
    firstColumnIndex: import("vue").Ref<number, number>;
    load: import("../simple-table").LoadFunction | undefined;
    getSpan: (args: any) => any;
    currentSelectedRow: import("vue").Ref<import("../simple-table").RowDataType, import("../simple-table").RowDataType>;
    slotNames: import("vue").ComputedRef<string[]>;
    expandSlotNames: import("vue").ComputedRef<string[]>;
    realColsInfo: import("vue").ComputedRef<import("../simple-table").RealCols>;
    getRowKey: import("../simple-table").GetRowKey;
    toggleExpandRow: (row: import("../simple-table").RowDataType, slotName: string) => void;
    expandedKeyExisted: (row: import("../simple-table").RowDataType, slotName: string) => boolean;
    isShowTooltipMap: import("vue").Ref<Record<string, boolean>, Record<string, boolean>>;
    tdMouseover: (e: MouseEvent, rowIndex: number, colIndex: number) => void;
    tdMouseleave: () => void;
    tableTreeMap: import("vue").Ref<Record<string, Record<string, any>>, Record<string, Record<string, any>>>;
    hasChildren: (row: import("../simple-table").RowDataType) => boolean;
    hasTreeData: import("vue").ComputedRef<boolean>;
    toggleExpandTree: (row: import("../simple-table").RowDataType) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("cell-click" | "row-click")[], "cell-click" | "row-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: import("vue").PropType<import("../simple-table").RowDataType[]>;
    };
    level: {
        type: NumberConstructor;
        default: number;
    };
}>> & Readonly<{
    "onCell-click"?: ((...args: any[]) => any) | undefined;
    "onRow-click"?: ((...args: any[]) => any) | undefined;
}>, {
    level: number;
}, {}, {
    Cell: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        row: {
            type: ObjectConstructor;
            required: true;
        };
        column: {
            type: import("vue").PropType<import("../simple-table").ColumnType>;
            required: true;
        };
        rowIndex: {
            type: NumberConstructor;
            required: true;
        };
        columnIndex: {
            type: NumberConstructor;
            required: true;
        };
        width: StringConstructor;
        minWidth: StringConstructor;
        maxWidth: StringConstructor;
        expanded: BooleanConstructor;
        showTooltip: BooleanConstructor;
        hasChildren: BooleanConstructor;
        hasTreeData: BooleanConstructor;
        isLoading: BooleanConstructor;
        treeExpanded: BooleanConstructor;
        firstColumnIndex: NumberConstructor;
        cellClassName: {
            type: import("vue").PropType<string | import("../simple-table").CellClassFunction>;
            default: string;
        };
        cellStyle: {
            type: import("vue").PropType<Record<string, any> | import("../simple-table").CellStyleFunction>;
            default: () => {};
        };
        span: import("vue").PropType<{
            rowspan: number;
            colspan: number;
        }>;
    }>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("mouseleave" | "mouseover" | "expand" | "tree-expand" | "cell-click")[], "mouseleave" | "mouseover" | "expand" | "tree-expand" | "cell-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        row: {
            type: ObjectConstructor;
            required: true;
        };
        column: {
            type: import("vue").PropType<import("../simple-table").ColumnType>;
            required: true;
        };
        rowIndex: {
            type: NumberConstructor;
            required: true;
        };
        columnIndex: {
            type: NumberConstructor;
            required: true;
        };
        width: StringConstructor;
        minWidth: StringConstructor;
        maxWidth: StringConstructor;
        expanded: BooleanConstructor;
        showTooltip: BooleanConstructor;
        hasChildren: BooleanConstructor;
        hasTreeData: BooleanConstructor;
        isLoading: BooleanConstructor;
        treeExpanded: BooleanConstructor;
        firstColumnIndex: NumberConstructor;
        cellClassName: {
            type: import("vue").PropType<string | import("../simple-table").CellClassFunction>;
            default: string;
        };
        cellStyle: {
            type: import("vue").PropType<Record<string, any> | import("../simple-table").CellStyleFunction>;
            default: () => {};
        };
        span: import("vue").PropType<{
            rowspan: number;
            colspan: number;
        }>;
    }>> & Readonly<{
        onMouseleave?: ((...args: any[]) => any) | undefined;
        onMouseover?: ((...args: any[]) => any) | undefined;
        onExpand?: ((...args: any[]) => any) | undefined;
        "onTree-expand"?: ((...args: any[]) => any) | undefined;
        "onCell-click"?: ((...args: any[]) => any) | undefined;
    }>, {
        cellClassName: string | import("../simple-table").CellClassFunction;
        cellStyle: Record<string, any> | import("../simple-table").CellStyleFunction;
        hasChildren: boolean;
        expanded: boolean;
        showTooltip: boolean;
        hasTreeData: boolean;
        isLoading: boolean;
        treeExpanded: boolean;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
