import { defineComponent as T, inject as N } from "vue";
import b from "./cell.mjs";
import { simpleTableProps as h, simpleTableContextKey as M } from "../simple-table.mjs";
const K = T({
  name: "BodyRow",
  components: { Cell: b },
  props: {
    data: h.data,
    level: {
      type: Number,
      default: 0
    }
  },
  emits: ["row-click", "cell-click"],
  setup() {
    const {
      rowClassName: e,
      rowStyle: o,
      cellClassName: t,
      cellStyle: l,
      firstColumnIndex: a,
      load: s,
      getSpan: r,
      currentSelectedRow: n,
      slotNames: p,
      expandSlotNames: m,
      realColsInfo: d,
      getRowKey: i,
      toggleExpandRow: c,
      expandedKeyExisted: f,
      isShowTooltipMap: u,
      tdMouseover: w,
      tdMouseleave: x,
      tableTreeMap: C,
      hasChildren: y,
      hasTreeData: g,
      toggleExpandTree: S
    } = N(M);
    return {
      rowClassName: e,
      rowStyle: o,
      cellClassName: t,
      cellStyle: l,
      firstColumnIndex: a,
      load: s,
      getSpan: r,
      currentSelectedRow: n,
      slotNames: p,
      expandSlotNames: m,
      realColsInfo: d,
      getRowKey: i,
      toggleExpandRow: c,
      expandedKeyExisted: f,
      isShowTooltipMap: u,
      tdMouseover: w,
      tdMouseleave: x,
      tableTreeMap: C,
      hasChildren: y,
      hasTreeData: g,
      toggleExpandTree: S
    };
  }
});
export {
  K as default
};
