import type { Ref } from 'vue';
import type { GetRowKey, RowDataType } from '../simple-table';
declare function useExpand({ expandRowKeys, defaultExpandAll, getRowKey, }: {
    defaultExpandAll: Ref<boolean>;
    expandRowKeys: Ref<string[]>;
    getRowKey: GetRowKey;
}): {
    expandedKeyExisted: (row: RowDataType, slotName: string) => boolean;
    toggleExpandRow: (row: RowDataType, slotName: string) => void;
    toggleExpand: (key: string, slotName: string) => void;
};
export { useExpand };
