import { defineComponent as s, ref as l, computed as g } from "vue";
import { ElTooltip as u, ElIcon as m, ClickOutside as d, Effect as v } from "element-plus";
import { Filter as y } from "@element-plus/icons-vue";
const C = s({
  name: "SimpleTableFilterIcon",
  components: {
    ElTooltip: u,
    ElIcon: m,
    FilterIcon: y
  },
  directives: { ClickOutside: d },
  props: {
    placement: {
      type: String,
      default: "bottom"
    },
    effect: {
      type: String,
      default: v.LIGHT
    },
    popperClass: {
      type: String,
      default: ""
    },
    trigger: {
      type: String,
      default: "click"
    }
  },
  setup(o) {
    const t = l(!1), r = l(), n = () => {
      t.value = !1;
    }, p = () => {
      t.value = !0;
    }, a = (e) => {
      (o.trigger === "click" || o.trigger === "all") && (e.stopPropagation(), t.value = !t.value);
    }, c = (e) => {
      (o.trigger === "hover" || o.trigger === "all") && (e.stopPropagation(), p());
    }, f = g(() => {
      var e, i;
      return (i = (e = r.value) == null ? void 0 : e.popperRef) == null ? void 0 : i.contentRef;
    });
    return {
      tooltipVisible: t,
      hidden: n,
      showByClick: a,
      showByHover: c,
      popperPaneRef: f,
      tooltip: r
    };
  }
});
export {
  C as default
};
