import { defineComponent as u, ref as d, openBlock as f, createElementBlock as m, normalizeClass as z, normalizeStyle as c, createElementVNode as a, renderSlot as o, createVNode as s, unref as i, withCtx as r, createCommentVNode as h } from "vue";
import { ElIcon as t } from "element-plus";
import { RefreshRight as y, InfoFilled as g, SuccessFilled as k, WarningFilled as w, CircleCloseFilled as C } from "@element-plus/icons-vue";
import { spinnerProps as $ } from "./spinner.mjs";
const v = { class: "spinner-wrap" }, E = { class: "show-result" }, F = u({
  name: "EppSpinner"
}), I = /* @__PURE__ */ u({
  ...F,
  props: $,
  setup(p) {
    const n = p, l = d({
      "--spinner-color": n.color,
      "--spinner-duration": n.duration
    });
    return n.size && Object.assign(l.value, { "--spinner-width": n.size, "--spinner-height": n.size }), (e, S) => (f(), m("div", {
      ref: "iconRef",
      class: z(["epp-spinner", e.animation, e.status ? `is-finish ${e.status}` : ""]),
      style: c(l.value)
    }, [
      a("div", v, [
        o(e.$slots, "default", {}, () => [
          s(i(y))
        ])
      ]),
      a("div", E, [
        e.status === "info" ? o(e.$slots, "info", { key: 0 }, () => [
          s(i(t), { size: e.size }, {
            default: r(() => [
              s(i(g))
            ]),
            _: 1
          }, 8, ["size"])
        ]) : e.status === "success" ? o(e.$slots, "success", { key: 1 }, () => [
          s(i(t), { size: e.size }, {
            default: r(() => [
              s(i(k))
            ]),
            _: 1
          }, 8, ["size"])
        ]) : e.status === "warning" ? o(e.$slots, "warning", { key: 2 }, () => [
          s(i(t), { size: e.size }, {
            default: r(() => [
              s(i(w))
            ]),
            _: 1
          }, 8, ["size"])
        ]) : e.status === "error" || !e.status ? o(e.$slots, "error", { key: 3 }, () => [
          s(i(t), { size: e.size }, {
            default: r(() => [
              s(i(C))
            ]),
            _: 1
          }, 8, ["size"])
        ]) : h("", !0)
      ])
    ], 6));
  }
});
export {
  I as default
};
