import type { ExtractPropTypes, PropType } from 'vue';
import type TextOverflow from './text-overflow.vue';
export declare const textOverflowProps: {
    effect: {
        type: PropType<"light" | "dark">;
        default: string;
    };
    placement: {
        type: StringConstructor;
        default: string;
    };
    width: (NumberConstructor | StringConstructor)[];
    method: {
        type: PropType<"width" | "length" | "autoWidth">;
        default: string;
    };
    length: {
        type: NumberConstructor;
        default: number;
    };
};
export type TextOverflowProps = ExtractPropTypes<typeof textOverflowProps>;
export type TextOverflowInstance = InstanceType<typeof TextOverflow>;
