import { defineComponent as P, useSlots as q, ref as k, computed as d, resolveComponent as I, openBlock as u, createElementBlock as f, normalizeClass as p, createElementVNode as v, toDisplayString as x, createVNode as r, unref as e, withCtx as s, createCommentVNode as g, withDirectives as E, Fragment as O, renderList as R, createBlock as B, vShow as _, renderSlot as U } from "vue";
import { useLocale as j, ElInput as z, ElIcon as $, ElCheckboxGroup as A, ElCheckbox as G } from "element-plus";
import { Search as H, CloseBold as Q } from "@element-plus/icons-vue";
import { useTreeProp as T } from "./useTreeProp.mjs";
const J = { class: "panel-header el-transfer-panel__header" }, K = {
  key: 0,
  class: "panel-filter"
}, W = {
  key: 0,
  class: "el-transfer-panel__footer"
}, te = /* @__PURE__ */ P({
  __name: "target-panel",
  props: {
    data: {
      type: Array,
      default: () => []
    },
    optionRender: {
      type: Function,
      required: !0
    },
    placeholder: String,
    title: String,
    filterable: Boolean,
    filterMethod: Function,
    props: Object
  },
  emits: ["checked-change"],
  setup(o) {
    const c = o, D = ({ option: a }) => a, h = q(), { t: y } = j(), n = k(""), b = k(!1), C = k([]), { key: i, label: F, disabled: w } = T({ props: c }), V = d(() => c.data.filter((a) => typeof c.filterMethod == "function" ? c.filterMethod(n.value, a) : (a[F.value] || a[i.value].toString()).toLowerCase().includes(n.value.toLowerCase()))), m = d(() => n.value.length > 0 && V.value.length === 0), S = d(() => n.value.length > 0 && b.value ? "show-close" : ""), M = d(() => {
      var a, l;
      return !!((l = (a = h.default) == null ? void 0 : a.call(h)[0].children) != null && l.length);
    }), L = () => {
      S.value === "show-close" && (n.value = "");
    };
    return (a, l) => {
      const N = I("el-scrollbar");
      return u(), f("div", {
        class: p(["el-transfer-panel transfer-panel target-panel", o.filterable ? "" : "unfilterable"])
      }, [
        v("div", J, x(o.title), 1),
        v("div", {
          class: p(["panel-body el-transfer-panel__body", M.value ? "is-with-footer" : ""])
        }, [
          o.filterable ? (u(), f("div", K, [
            r(e(z), {
              modelValue: n.value,
              "onUpdate:modelValue": l[0] || (l[0] = (t) => n.value = t),
              block: "",
              fill: "",
              placeholder: o.placeholder,
              class: "el-transfer-panel__filter",
              onMouseenter: l[1] || (l[1] = (t) => b.value = !0),
              onMouseleave: l[2] || (l[2] = (t) => b.value = !1)
            }, {
              suffix: s(() => [
                v("i", {
                  class: p(["input-close", S.value]),
                  onClick: L
                }, null, 2)
              ]),
              prefix: s(() => [
                r(e($), null, {
                  default: s(() => [
                    r(e(H))
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["modelValue", "placeholder"])
          ])) : g("", !0),
          r(N, { class: "checkbox-scrollbar" }, {
            default: s(() => [
              E(r(e(A), {
                modelValue: C.value,
                "onUpdate:modelValue": l[3] || (l[3] = (t) => C.value = t),
                dir: "vertical",
                gap: "0",
                class: p({ "panel-list": !0, filterable: o.filterable }),
                custom: !0
              }, {
                default: s(() => [
                  (u(!0), f(O, null, R(V.value, (t) => (u(), B(e(G), {
                    key: t[e(i)],
                    class: "item",
                    label: t[e(i)],
                    disabled: t[e(w)]
                  }, {
                    default: s(() => [
                      r(D, {
                        option: o.optionRender(t)
                      }, null, 8, ["option"]),
                      t[e(w)] ? g("", !0) : (u(), B(e($), {
                        key: 0,
                        class: "item-close",
                        onClick: (X) => a.$emit("checked-change", t[e(i)])
                      }, {
                        default: s(() => [
                          r(e(Q))
                        ]),
                        _: 2
                      }, 1032, ["onClick"]))
                    ]),
                    _: 2
                  }, 1032, ["label", "disabled"]))), 128))
                ]),
                _: 1
              }, 8, ["modelValue", "class"]), [
                [_, !m.value && o.data.length > 0]
              ])
            ]),
            _: 1
          }),
          E(v("p", { class: "el-transfer-panel__empty" }, x(m.value ? e(y)("hl.transfer.noMatch") : e(y)("hl.transfer.noData")), 513), [
            [_, m.value || o.data.length === 0]
          ])
        ], 2),
        M.value ? (u(), f("p", W, [
          U(a.$slots, "default")
        ])) : g("", !0)
      ], 2);
    };
  }
});
export {
  te as default
};
