import { defineComponent as D, useSlots as M, ref as f, computed as y, openBlock as p, createElementBlock as h, normalizeClass as m, createElementVNode as i, toDisplayString as C, createVNode as n, unref as o, withCtx as s, createCommentVNode as w, mergeProps as N, withDirectives as $, vShow as q, renderSlot as F } from "vue";
import { useLocale as O, ElInput as R, ElIcon as j, ElScrollbar as z, ElTree as H } from "element-plus";
import { Search as L } from "@element-plus/icons-vue";
import { debounce as Q } from "lodash-unified";
const U = { class: "panel-header el-transfer-panel__header" }, A = {
  key: 0,
  class: "panel-filter"
}, G = {
  key: 0,
  class: "el-transfer-panel__footer"
}, Y = /* @__PURE__ */ D({
  __name: "tree-panel",
  props: {
    treeProps: Object,
    placeholder: String,
    title: String,
    filterable: Boolean,
    optionRender: {
      type: Function,
      required: !0
    }
  },
  emits: ["checked-change"],
  setup(t, { expose: S, emit: _ }) {
    const x = _, E = ({ option: e }) => e, u = M(), { t: V } = O(), r = f(), c = f(""), d = f(!1), v = y(() => {
      var e, l;
      return !!((l = (e = u.default) == null ? void 0 : e.call(u)[0].children) != null && l.length);
    }), k = y(() => c.value.length > 0 && d.value ? "show-close" : ""), I = Q((e) => {
      r.value.filter(e);
    }, 300), P = () => {
      k.value === "show-close" && (c.value = "", r.value.filter(""));
    }, T = (e, ...l) => {
      if (r.value[e])
        return r.value[e](...l);
      console.error("tree method don't exist!!");
    }, B = () => {
      x("checked-change");
    };
    return S({
      callTreeMethod: T
    }), (e, l) => {
      var b, g;
      return p(), h("div", {
        class: m(["el-transfer-panel transfer-panel tree-panel", t.filterable ? "" : "unfilterable"])
      }, [
        i("div", U, C(t.title), 1),
        i("div", {
          class: m(["panel-body el-transfer-panel__body", v.value ? "is-with-footer" : ""])
        }, [
          t.filterable ? (p(), h("div", A, [
            n(o(R), {
              modelValue: c.value,
              "onUpdate:modelValue": l[0] || (l[0] = (a) => c.value = a),
              block: "",
              fill: "",
              placeholder: t.placeholder,
              class: "el-transfer-panel__filter",
              onInput: o(I),
              onMouseenter: l[1] || (l[1] = (a) => d.value = !0),
              onMouseleave: l[2] || (l[2] = (a) => d.value = !1)
            }, {
              suffix: s(() => [
                i("i", {
                  class: m(["input-close", k.value]),
                  onClick: P
                }, null, 2)
              ]),
              prefix: s(() => [
                n(o(j), null, {
                  default: s(() => [
                    n(o(L))
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["modelValue", "placeholder", "onInput"])
          ])) : w("", !0),
          n(o(z), { class: "tree-scrollbar" }, {
            default: s(() => [
              n(o(H), N({
                ref_key: "hlTree",
                ref: r,
                class: "panel-list",
                "node-key": "id"
              }, t.treeProps, {
                "show-checkbox": !0,
                onCheckChange: B
              }), {
                default: s(({ data: a }) => [
                  n(E, {
                    option: t.optionRender(a)
                  }, null, 8, ["option"])
                ]),
                _: 1
              }, 16)
            ]),
            _: 1
          }),
          $(i("p", { class: "el-transfer-panel__empty" }, C(o(V)("el.transfer.noData")), 513), [
            [q, ((g = (b = t.treeProps) == null ? void 0 : b.data) == null ? void 0 : g.length) === 0]
          ])
        ], 2),
        v.value ? (p(), h("p", G, [
          F(e.$slots, "default")
        ])) : w("", !0)
      ], 2);
    };
  }
});
export {
  Y as default
};
