declare const _default: import("vue").DefineComponent<{
    title: string;
    top: string;
    modelValue: boolean;
    animationName: string;
    customClass: string;
    openDelay: number;
    closeDelay: number;
    borderless: boolean;
    outlineless: boolean;
    collapsed: boolean;
    fullscreen: boolean | Record<"bottom" | "top" | "left" | "right", string>;
    fullBody: boolean;
    showClose: boolean;
    showMaximize: boolean;
    showCollapse: boolean;
    resize: boolean;
    drag: boolean;
    useDock: boolean;
    snapshot: string | boolean | {
        type: string;
        url: string;
    };
    width?: string | undefined;
    zIndex?: string | number | undefined;
    height?: string | undefined;
    beforeClose?: ((...args: any[]) => unknown) | undefined;
    radius?: string | undefined;
    headerHeight?: string | undefined;
    padding?: string | undefined;
    bodyPadding?: string | undefined;
    footerPadding?: string | undefined;
    headerClass?: string | undefined;
    headerStyle?: string | undefined;
    bodyClass?: string | undefined;
    bodyStyle?: string | undefined;
    footerClass?: string | undefined;
    footerStyle?: string | undefined;
    boundings?: number[] | undefined;
    id?: string | undefined;
}, {
    afterEnter: () => void;
    afterLeave: () => void;
    beforeLeave: () => void;
    handleClose: () => void;
    handleCollapse: () => void;
    collapseDialog: (collapsable?: boolean) => void;
    handleMaximize: () => void;
    maximizeDialog: () => void;
    closed: import("vue").Ref<boolean, boolean>;
    shown: import("vue").Ref<boolean, boolean>;
    visible: import("vue").Ref<boolean, boolean>;
    collapse: import("vue").Ref<boolean, boolean>;
    maximize: import("vue").Ref<boolean, boolean>;
    zIndex: import("vue").Ref<string | number, string | number>;
    innerClass: import("vue").ComputedRef<Record<string, boolean>>;
    dialogRef: import("vue").Ref<HTMLDivElement | undefined, HTMLDivElement | undefined>;
    panelStyle: string[];
    getDialogStyle: () => (string[] | {
        width: string | undefined;
        height: string | undefined;
        top: string;
        zIndex: string | number | undefined;
    })[];
    panelClass: Record<string, unknown>;
    panelHeaderClass: any;
    panelBodyClass: any;
    panelFooterClass: any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    open: () => boolean;
    opened: () => boolean;
    close: () => boolean;
    closed: () => boolean;
    destroy: () => boolean;
    resize: () => boolean;
    'update:modelValue': (value: boolean) => boolean;
    collapse: (value: boolean) => boolean;
    maximize: (value: boolean) => boolean;
}, string, import("vue").PublicProps, Readonly<{
    title: string;
    top: string;
    modelValue: boolean;
    animationName: string;
    customClass: string;
    openDelay: number;
    closeDelay: number;
    borderless: boolean;
    outlineless: boolean;
    collapsed: boolean;
    fullscreen: boolean | Record<"bottom" | "top" | "left" | "right", string>;
    fullBody: boolean;
    showClose: boolean;
    showMaximize: boolean;
    showCollapse: boolean;
    resize: boolean;
    drag: boolean;
    useDock: boolean;
    snapshot: string | boolean | {
        type: string;
        url: string;
    };
    width?: string | undefined;
    zIndex?: string | number | undefined;
    height?: string | undefined;
    beforeClose?: ((...args: any[]) => unknown) | undefined;
    radius?: string | undefined;
    headerHeight?: string | undefined;
    padding?: string | undefined;
    bodyPadding?: string | undefined;
    footerPadding?: string | undefined;
    headerClass?: string | undefined;
    headerStyle?: string | undefined;
    bodyClass?: string | undefined;
    bodyStyle?: string | undefined;
    footerClass?: string | undefined;
    footerStyle?: string | undefined;
    boundings?: number[] | undefined;
    id?: string | undefined;
}> & Readonly<{
    onClose?: (() => any) | undefined;
    "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    onResize?: (() => any) | undefined;
    onOpen?: (() => any) | undefined;
    onOpened?: (() => any) | undefined;
    onClosed?: (() => any) | undefined;
    onDestroy?: (() => any) | undefined;
    onCollapse?: ((value: boolean) => any) | undefined;
    onMaximize?: ((value: boolean) => any) | undefined;
}>, {
    title: string;
    top: string;
    modelValue: boolean;
    animationName: string;
    customClass: string;
    openDelay: number;
    closeDelay: number;
    borderless: boolean;
    outlineless: boolean;
    collapsed: boolean;
    fullscreen: boolean | Record<"bottom" | "top" | "left" | "right", string>;
    fullBody: boolean;
    showClose: boolean;
    showMaximize: boolean;
    showCollapse: boolean;
    resize: boolean;
    drag: boolean;
    useDock: boolean;
    snapshot: string | boolean | {
        type: string;
        url: string;
    };
}, {}, {
    ElIcon: import("element-plus/es/utils/index.mjs").SFCWithInstall<{
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            readonly size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils/index.mjs").EpPropMergeType<(new (...args: any[]) => string | number) | (() => string | number) | ((new (...args: any[]) => string | number) | (() => string | number))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly color: {
                readonly type: import("vue").PropType<string>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {}, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            readonly size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils/index.mjs").EpPropMergeType<(new (...args: any[]) => string | number) | (() => string | number) | ((new (...args: any[]) => string | number) | (() => string | number))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly color: {
                readonly type: import("vue").PropType<string>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, {}, {}, {}, {}, {}>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        readonly size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils/index.mjs").EpPropMergeType<(new (...args: any[]) => string | number) | (() => string | number) | ((new (...args: any[]) => string | number) | (() => string | number))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly color: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            default?(_: {}): any;
        };
    })>;
    CloseBold: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    SemiSelect: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    FullScreen: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    ArrowUpBold: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    ArrowDownBold: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {
    TrapFocus: import("vue").ObjectDirective<any, any, string, string>;
    dragger: import("vue").Directive;
    resizer: import("vue").Directive;
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
