import type { Ref } from 'vue';
import type { ColumnType, ResizeOption } from '../simple-table';
export interface ResizerCellElement extends HTMLTableCellElement {
    mouseDown: boolean;
    oldX: number;
    oldWidth: number;
}
declare function useResizer(resize: boolean | ResizeOption, cols: Ref<ColumnType[]>, table: Ref<HTMLTableElement | undefined>): void;
export { useResizer };
