import type { ComputedRef, Ref } from 'vue';
import type { ColumnType, ScrollContainer } from '../simple-table';
declare function useScroll(scrollContainer: ScrollContainer | undefined, cols: ComputedRef<{
    realCols: ColumnType[];
}>, table: Ref<HTMLTableElement | undefined>): {
    scrollClass: Ref<string, string>;
};
export { useScroll };
